#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ofono
Version		:	1.31
Release		:	17.0.10.rel%{?dist}
Summary		:	Open Source Telephony

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://git.kernel.org/pub/scm/network/ofono/ofono.git/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-bootstrap
BuildRequires	:	ell
BuildRequires	:	mobile-broadband-provider-info
#-----------------------------------------------------------------------------
%description
Infrastructure for building mobile telephony (GSM/UMTS) applications

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS README
%license COPYING
%{_sysconfdir}/%{name}/phonesim.conf
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_includedir}/%{name}/*.h
%{_sbindir}/%{name}d
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man8/%{name}d.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./bootstrap-configure
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-bluetooth				\
	--disable-bluez4				\
	--with-systemdunitdir=no			\
	--enable-external-ell				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#-----------------------------------------------------------------------------
%changelog
